shishi_kdcreq_set_realm(3)

NAME
shishi_kdcreq_set_realm - API function

SYNOPSIS
#include <shishi.h>

int shishi_kdcreq_set_realm(Shishi * handle, Shishi_asn1 kdcreq, const char * realm);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 kdcreq
    KDC-REQ variable to set realm field in.

const char * realm
    input array with name of realm.

DESCRIPTION
Set the realm field in the KDC-REQ.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.